 SUBROUTINE initialise(m)
!=========================== DOCUMENTATION ============================= 
!DOCDEBh*    UTI/PRE/initialise  *
!
!    NOM
! initialise(m)
!
!    DESCRIPTION  
!*
! Initialisation d un objet maillage
!
! Initialising a mesh object
!*
!
!    ENTREES / INPUT
!    m : maillage / mesh
!
!    SORTIES / OUTPUT
!    m : maillage initialise / initialised mesh
!
!    SOURCE
! Ce logiciel est regi par la licence [CeCILL-B]
! This software is governed by the [CeCILL-B] license
!=========================== DEBUT DES DECLARATIONS ==================== 
!.1-----  Implicit, Use
  use geo_typ
  IMPLICIT NONE
!.2-----  Declaration     
  type(mesh) :: m !! Maillage / Mesh
  integer    :: i
!=========================== DEBUT DU CODE EXECUTABLE ==================
  DO i=1,m%nb_vertex
      m%list_vertex%x=0.d0
      m%list_vertex%y=0.d0
      m%list_vertex%z=0.d0
  END DO
  
  DO i=1,m%nb_face
      m%list_face(i)%surf=0.d0
      m%list_face(i)%vnorm%v=0.d0
      m%list_face(i)%center%x=0.d0
      m%list_face(i)%center%y=0.d0
      m%list_face(i)%center%z=0.d0
      m%list_face(i)%ic1=0
      m%list_face(i)%ic2=0
      m%list_face(i)%vertex=0
  END DO
  
  DO i=1,m%nb_cell
      m%list_cell(i)%num=0
      m%list_cell(i)%vol=0.d0
      m%list_cell(i)%center%x=0.d0
      m%list_cell(i)%center%y=0.d0
      m%list_cell(i)%center%z=0.d0
      m%list_cell(i)%h=0.d0
  END DO
!===========================   FIN DE LA ROUTINE    ====================
END SUBROUTINE initialise
!DOCFIN